# sklearn example

This is a simple demo showing the training of Random Forest Classifier, serializing it as a pickle file, converting it to an Onnx model, then making inferences using the Onnx model.

## Usage

Train the model

```
python train.py
```

Convert to Onnx

```
python convert_to_onnx.py ./output/model.pkl
```

Make inferences

```
python onnx_infer.py ./output/clr_model.onnx
```

## Model

![Model Graph](./img/model_graph.png)